Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158586 - metakit puts architecture-specific files in /usr/lib on 64-bit arches
Summary: metakit puts architecture-specific files in /usr/lib on 64-bit arches
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: metakit
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 19:43 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 15:29:14 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-05-23 19:43:56 UTC
Description of problem:

/usr/lib/libmk4.so
/usr/lib/tcl8.4/Mk4tcl
/usr/lib/tcl8.4/Mk4tcl/Mk4tcl.so
/usr/lib/tcl8.4/Mk4tcl/pkgIndex.tcl
/usr/lib/libmk4.a

Should be /usr/lib64.

Appears to be built against the wrong version of python too.

Version-Release number of selected component (if applicable):

2.4.9.3-4

Comment 1 Matthias Saou 2005-05-26 12:51:17 UTC
The wrong version of python is because this package was still the one copied
over from FC3, since it failed the mass rebuilds with gcc4.

A patch was included in bug #158460 to fix the rebuild problem, and I've now
made further changes :
- Moved the python module to site-packages
- Moved the main libmk4.so to _libdir
- Kept the tcl stuff in _prefix/lib (as that's where tcl is, apparently)
- Disabled the explicit stripping of the lib and python lib

Comment 2 Matthias Saou 2005-05-26 15:29:14 UTC
The rebuild went fine, expect the fixed packages to appear in development any
time now.


Note You need to log in before you can comment on or make changes to this bug.